Generic assets.
Create an asset directory
Create a directory in the CDN bucket.
Create an asset directory › Request Body
nameName of the directory (can contain slashes for nested directories)
pathParent path where the directory will be created
Create an asset directory › Responses
Directory created successfully
pathFull path of the created directory
nameName of the created directory
createdList of created directory paths
List assets
List files and directories at a given path in the CDN bucket.
query Parameters
pathThe path to list (e.g., "/", "/images/")
limitMaximum number of items per page
continuationTokenPagination token from previous response
List assets › Responses
List of assets at the specified path
List of asset items
pathCurrent path being listed
nextTokenToken for fetching the next page of results
Delete an asset
Get an asset download URL
Rename asset
Rename a file or directory in the CDN bucket.
Rename asset › Request Body
pathFull path of the file or directory to rename
newNameNew name for the file or directory
Rename asset › Responses
Asset renamed successfully
oldPathOriginal path of the asset
newPathNew path of the asset
typeType of the renamed asset (file or directory)

